<?
// login_html.php
//
// Copyright, Exolution GmbH / Michael Kerrisk, Sep 2000
// http://www.exolution.com/wapsh   mailto:wapsh@exolution.de
//
// This software is Open Source licensed under the terms of the Trolltech QPL
// version 1.0.  See http://www.exolution.de/wapsh for further information.
//
// -------------------------------------------------------------------
//
// HTML login page
//


    require("common.inc");
    require("displayfuncs.inc");
    require("common_html.inc");
    require("getloginhosts.inc");
    $clientType = "http";
?>
<html>
<head>
	<title><? echo SYSTEM_NAME;?> Login</title>

</head>

<body bgcolor="<? echo BODY_BGCOLOR; ?>">
<p><font size="+2"><strong><em><? echo SYSTEM_NAME ?></em> login
</strong></font></p>



<form method="POST" action="command.php">

    <input type="hidden" name="ctype" value="http">
    <table>
    
    <tr>
    <td>
    <strong>Username: </strong>
    </td>
    <td>
    <input type="text" size="20" name="username" 
    	value="<? echo $username ?>">
    </td>
    </tr>
    
    <tr>
    <td>
    <strong>Password:</strong>
    </td>
    <td>
    <input type="password" size="20" name="password">
    </td>
    </tr>

<?
    getLoginHosts($numHosts, $hostName, $hostAddressList);
    if ($numHosts > 1) {
	echo '<tr><td>';
	echo "<strong><p>Host: </strong>";
	echo '</td><td>';
        echo '<select name="host">';
	for ($j = 0; $j < $numHosts; $j++)
	    echo "<option value=\"$hostName[$j]\">$hostName[$j]</option>";
	echo "</select>";
	echo '</td></tr>';
    } // if
?>

    <tr>
    <td>&nbsp;</td>
    <td>
    <input type="submit" name="submit" value="Login">
    </td>
    </tr>
    </table>

</form>
</body>

</html>
